:root {
    /* default theme is dark */
    --text: #c6d0f5;
    --overlay1: #838ba7;
    --surface1: #51576d;
    --base: #303446;
    --mantle: #292c3c;
    --flamingo: #eebebe;
    --mauve: #ca9ee6;
    --green: #a6d189;
    --teal: #81c8be;
    --blue: #8caaee;
    --lavender: #babbf1;

    --font-mono: Menlo, monospace;

    background: var(--base);
    color: var(--text);
    height: 100%;
    font-size: 18px;
    font-family: var(--font-mono);
}

[data-theme="light"] {
    --text: #4c4f69;
    --overlay1: #8c8fa1;
    --surface1: #bcc0cc;
    --base: #eff1f5;
    --mantle: #e6e9ef;
    --flamingo: #dd7878;
    --mauve: #8839ef;
    --green: #40a02b;
    --teal: #179299;
    --blue: #1e66f5;
    --lavender: #7287fd;

    .dark-icon svg {
        display: none;
    }
    .light-icon svg {
        display: block;
    }
}

.dark-icon svg {
    display: block;
    width: 24px;
    height: 24px;
    fill: var(--overlay1);
}
.light-icon svg {
    display: none;
    width: 24px;
    height: 24px;
    fill: var(--overlay1);
}

.toggle-theme {
    position: absolute;
    top: 20px;
    right: 20px;
    padding: 3px;
    cursor: pointer;
}

body {
    margin: 0;
    height: 100%;
}

.nav-container {
    background: var(--mantle);
    display: flex;
    flex-direction: column;
    padding: 8px;
    padding-bottom: 12px;
}

.nav-name {
    margin: auto;
    color: var(--lavender);
    font-size: 30px;
    white-space: nowrap;
    padding: 12px;
}

.nav-item {
    padding: 4px;
    padding-left: 18px;
    text-decoration: none;
}

.nav-item:hover {
    background: var(--surface1);
}

.nav-link {
    color: var(--blue);
    font-size: 20px;
}

.nav-selected {
    background: var(--surface1);
    font-weight: bold;
}

.nav-personal {
    display: flex;
    align-items: center;
    gap: 8px;
    color: var(--mauve);
}

.nav-personal-icon {
    width: 24px;
    height: 24px;
    fill: none;
    stroke: var(--mauve);
    display: inline-block;
}

.scroll-container {
    width: 100%;
}

.content-container {
    padding: 18px;
    max-width: 1024px;
    margin: 0 auto;
}

.flex-responsive {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1em;
}

.responsive-image-container {
    min-width: 250px;
    max-width: 250px;
    margin: 0 auto;
}

.separator {
    border-bottom: 3px solid var(--surface1);
    padding-bottom: 1em;
    margin-bottom: 1em;
}

.tag-container {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.tag {
    color: var(--green);
    border: 1px solid var(--green);
    padding: 4px;
    font-size: 14px;
    border-radius: 8px;
    font-family: var(--font-mono);
}

/* large screen layout */
@media (min-width: 768px){
    .layout {
        display: flex;
        flex-direction: row;
        height: 100%;
    }

    .nav-container {
        min-width: 280px;
        max-width: 280px;
    }

    .nav-fill {
        flex-grow: 1;
    }

    .scroll-container {
        overflow-y: scroll;
        position: relative;
    }
}

/* large screen layout */
@media (min-width: 1024px){
    .flex-responsive {
        flex-direction: row;
    }

    .responsive-image-container {
        margin: 0;
    }
}
